%define  ver     0.35
%define  RELEASE 8
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define  prefix  /usr
%define GNOME_PRINT_VERSION 0.7

Summary: A full-featured spreadsheet for GNOME.
Name: 		gnumeric
Version: 	%ver
Release: 	%rel
Copyright: 	GPL
Group: Applications/Productivity
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric/gnumeric-%{ver}.tar.gz
Source1: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-print/gnome-print-%{GNOME_PRINT_VERSION}.tar.gz
Patch: gnumeric-0.34-noprintpreview.patch
Patch1: gnumeric-miscfix.patch
Url:		http://www.gnome.org/gnumeric
BuildRoot:	/var/tmp/gnumeric-%{PACKAGE_VERSION}-root
Docdir: 	%{prefix}/doc

# This is a prereq because of the %post script for gnome-print
# XXX lamehardcodedhack
PreReq: libxml
PreReq: esound
PreReq: audiofile
PreReq: zlib
PreReq: gnome-libs
PreReq: glibc

# These are required by %post
PreReq: urw-fonts
PreReq: ghostscript-fonts

Requires: gnome-libs >= 1.0.0
Requires: guile >= 1.3
Requires: libglade >= 0.2

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. Gnumeric is a spreadsheet
program for GNOME. This program is intended to be a replacement for a
commercial spreadsheet, so quite a bit of work has gone into the
program.

Install gnumeric if you want to use a spreadsheet program with GNOME.

%prep
%setup -q -a 1
%patch -p1
%patch1 -p1

%build
PKG_TOPDIR=`pwd`

# First, build gnome-print
cd gnome-print-%{GNOME_PRINT_VERSION}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix $MYARCH_FLAGS \
	--sysconfdir=/etc --enable-shared=no
make
make sysconfdir=$PKG_TOPDIR/gp-root/etc prefix=$PKG_TOPDIR/gp-root%{prefix} install
cd ..

# Make sure gnumeric finds our hacked-up gnome-print installation
GNOME_LIBCONFIG_PATH=$PKG_TOPDIR/gp-root%{prefix}/lib
export GNOME_LIBCONFIG_PATH

# Then, gnumeric itself
%ifarch alpha
  MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif
CFLAGS="$RPM_OPT_FLAGS -I$PKG_TOPDIR/gp-root/usr/include" \
LIBS="-L$PKG_TOPDIR/gp-root/usr/lib" \
./configure --prefix=%prefix $MYARCH_FLAGS --sysconfdir=/etc

if [ "$SMP" != "" ]; then
	make -j$SMP "MAKE=make -j$SMP"
else
	make
fi

%install
(cd gnome-print-%{GNOME_PRINT_VERSION};
make prefix=$RPM_BUILD_ROOT%{prefix} \
     sysconfdir=$RPM_BUILD_ROOT/etc install
cd fonts
install -c *.font $RPM_BUILD_ROOT%{prefix}/share/fonts

)
make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install
strip $RPM_BUILD_ROOT%{prefix}/bin/* ||:

%post
%{prefix}/bin/gnome-font-install --system --scan --no-copy \
        --afm-path=%{prefix}/share/fonts/afms \
        --pfb-path=%{prefix}/share/fonts/pfbs \
        --pfb-assignment=ghostscript,%{prefix}/share/ghostscript/fonts \
        --afm-assignment=ghostscript,%{prefix}/share/ghostscript/fonts \
        --pfb-assignment=ghostscript,%{prefix}/share/fonts/default/Type1 \
        --afm-assignment=ghostscript,%{prefix}/share/fonts/default/Type1 \
        %{prefix}/share/fonts/ >/dev/null 2>&1

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 10 1999 Cristian Gafton <gafton@redhat.com>
- remove the Obsoletes: gnumeric line (it is more than moronic, 
  it's plain stupid to have a package obsolete itself!!!)

* Tue Sep 07 1999 Elliot Lee <sopwith@redhat.com>
- Try and do an RH package with gnome-print included.

* Thu Sep 02 1999 Gregory McLean <gregm@comstar.net>
- Added small fix so glade generated dialogs appear.

* Wed Jul 14 1999 Gregory McLean <gregm@comstar.net>
- Added the gnome-print requirement.
- Updated the file list to try and quiet down the updating.
- added the sysconfdir

* Tue Mar 9  1999 Gregory McLean <gregm@comstar.net>
- Updated the spec file.

* Thu Sep 24 1998 Michael Fulbright <msf@redhat.com>
- Version 0.2

%files
%defattr(-, root, root)

%doc HACKING AUTHORS ChangeLog NEWS README COPYING TODO

%{prefix}/bin/*
%{prefix}/lib/gnumeric/plugins/*
%{prefix}/share/locale/*/*
%{prefix}/share/gnome/apps/Applications/gnumeric.desktop
%{prefix}/share/gnome/help/gnumeric
%{prefix}/share/idl/Gnumeric.idl
%{prefix}/share/mc/templates/*
%{prefix}/share/mime-info/*
%{prefix}/share/pixmaps/*
%{prefix}/share/gnumeric

%config /etc/CORBA/servers/*

# gnome-print stuff
%{prefix}/share/gnome-print
%{prefix}/share/fonts/*
